package com.yutou.jianr_mg.Model;

import java.util.ArrayList;
import java.util.List;

public class HomeCard {
    private String imageUrl;
    private String text;
    private String click;
    private int type=0;
    public HomeCard(){
    }
    public static List<HomeCard> testCard(){
        List<HomeCard> list=new ArrayList<>();

        HomeCard card_1=new HomeCard();
        HomeCard card_2=new HomeCard();
        HomeCard card_3=new HomeCard();

        card_1.setImageUrl("https://timgsa.baidu.com/timg?image&quality=80&size=b9999_10000&sec=1535525627&di=b94e73818984f09b8798568b60756a21&imgtype=jpg&er=1&src=http%3A%2F%2Fpic.90sjimg.com%2Fback_pic%2Fu%2F00%2F02%2F82%2F06%2F561c95213aaa4.jpg");
        card_2.setImageUrl("https://timgsa.baidu.com/timg?image&quality=80&size=b9999_10000&sec=1534930909822&di=84e2ca01ea55aa50fbc82ee8b1e821d6&imgtype=0&src=http%3A%2F%2Fpic.90sjimg.com%2Fback_pic%2Fqk%2Fback_origin_pic%2F00%2F02%2F07%2F2dedc747d6ad3a06885b129630ef6850.jpg");
        card_3.setImageUrl("https://timgsa.baidu.com/timg?image&quality=80&size=b9999_10000&sec=1534930909819&di=57e7349b86054380b04257eb13d30005&imgtype=0&src=http%3A%2F%2Fpic.90sjimg.com%2Fback_pic%2F00%2F00%2F69%2F40%2F517f2945e9d3085411c263a88b236281.jpg");

        card_1.setClick("http://www.baidu.com/");
        card_2.setClick("http://www.qq.com");
        card_3.setClick("2");
        card_3.setType(1);

        list.add(card_1);
        list.add(card_2);
        list.add(card_3);
        return list;
    }

    public String getImageUrl() {
        return imageUrl;
    }

    public void setImageUrl(String imageUrl) {
        this.imageUrl = imageUrl;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public String getClick() {
        return click;
    }

    public void setClick(String click) {
        this.click = click;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }
}
